#ifndef __BRAINENVIRONMENT__
#define __BRAINENVIRONMENT__

#include <qstring.h>
#include <qstringlist.h>

// A class to hold all of the different variables that can be set in
// the environment.

class brainEnvironment {
private:
  void createTextureList();
  QString parseLine(QString line);
public:
  brainEnvironment( QString environmentFile="NULL" );
  QString *textureDir;
  QString *textureFile;
  int developmentStatus;
  QStringList *textureFiles;
  bool updateRangeOnTextureChange;
  bool showPickedVertex;
};

  

#endif // __BRAINENVIRONMENT
