#ifndef __BRAINWIDGET__
#define __BRAINWIDGET__

#include <qwidget.h>
#include <qdragobject.h>
#include <qdir.h>


// a small class to override the basic widget implementation in order
// to allow drag and drop events of filenames onto the main widget.

class brainWidget : public QWidget {
  Q_OBJECT
public:
  brainWidget();
  signals:
  void newFilenameDropped( QString );
protected:
  void dragEnterEvent( QDragEnterEvent * );
  void dropEvent(QDropEvent * );
};

#endif // __BRAIN_WIDGET__
