#ifndef __VERTSTATSFILEDIALOG__
#define __VERTSTATSFILEDIALOG__

#include <qcheckbox.h>
#include <qlineedit.h>
#include <qvbox.h>
#include <qfiledialog.h>
#include <qlabel.h>
#include <qhbox.h>

class vertStatsFileDialog : public QFileDialog {
 public:
  vertStatsFileDialog( const QString &dirName,
		       const QString &filter = QString::null,
		       QWidget *parent=0,
		       const char *name = 0 );
  QString selectedFilename() { return filename; };
  bool selectedInvert() { return inverted; };
  int selectedColumn() { return column; };
  void getFileData();
  bool promptUser();
  ~vertStatsFileDialog();
 private:
  QCheckBox *invertCheckBox;
  QLineEdit *columnLineEdit;
  QLabel *label;
  QString filename;
  bool inverted;
  int column;
  
};

#endif
